System.Web.Services 2.0.0.0 System.Web.Services.Protocols.ServerProtocol

You can override the method to process XML Web service requests that are not explicitly declared and handled by users through a method in their XML Web service marked with WebMethodAttribute.

The .NET Framework creates an instance of the class to process XML Web service requests.

- Constructor
  To be added.

  Creates a new .

  2.0.0.0
- Method
  System.Xml.XmlReader `` `` To be added.

  Returns an initialized with the specified and buffer size.

  A initialized with the specified by and the buffer size specified by .

  The with which to initialize the . The buffer size with which to initialize the . 2.0.0.0
- Method
  System.Xml.XmlWriter `` `` To be added.

  Returns an initialized with the specified and buffer size.

  A initialized with the specified by and the buffer size specified by .

  The with which to initialize the . The buffer size with which to initialize the . 2.0.0.0
- Method
  System.Web.Services.Protocols.SoapExtension[] `` `` To be added.

  Applies the specified priority and group attributes to the SOAP extensions contained in the specified array of type .

  An array of type with the priority and group attributes specified by applied.

  A that specifies the priority and group attributes to be applied to the SOAP extensions contained in . An array of type to which to apply the priority and group attributes specified by . 2.0.0.0
- Method
  System.Web.Services.Protocols.SoapServerMethod ``

  You can override the method to process XML Web service requests that are not explicitly declared and handled by users through a method in their XML Web service marked with WebMethodAttribute.

  Returns the to which the specified should be routed.

  The to which the specified by should be routed.

  The sent to the XML Web service. 2.0.0.0